View Issue Details

IDProjectCategoryView StatusLast Update
0000257WackoWikihandlerpublic2011-03-30 15:56
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionwon't fix 
Product Version4.2 
Target Version4.3.0Fixed in Version4.3.0 
Summary0000257: update links to a renamed page
DescriptionIf a PageName is changed to NewPageName optionally links to PageName on all pages in the Wiki are updated to NewPageName
Additional InformationRoman Ivanov: there's three reasons not to do so:
1. changing BLOBs takes much time, and php may reach its timeout (30s by default).
2. changing your text by script is dangerous. Scripts are dumb and may damage your pages.
3. there's many not-so-clear situations. Let's imagine that we refer to MarkHissinkMuller/OldPageName in such manner: !/OldPageName. Then we rename MarkHissinkMuller/OldPageName to RomanIvanov/NewPageName. To what form we must replace our link? Absolute? Ok, but if we rename it to MarkHissinkMuller/NewPageName?
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-01-17 00:07 administrator New Issue
2009-01-17 00:08 administrator Additional Information Updated
2009-01-17 00:09 administrator Additional Information Updated
2010-03-08 10:14 administrator Category Handler => handler
2011-02-16 11:34 administrator Assigned To => administrator
2011-02-16 11:34 administrator Status new => resolved
2011-02-16 11:34 administrator Resolution open => won't fix
2011-02-16 11:34 administrator Fixed in Version => 4.3.x
2011-02-16 11:34 administrator Target Version => 4.3.x
2011-03-30 15:56 administrator Fixed in Version 4.3.x => 4.3.0
2011-03-30 15:56 administrator Target Version 4.3.x => 4.3.0